VDPAU

Data Fields
VdpRect Struct Reference
Core API » Miscellaneous Types

A rectangular region of a surface. More...

`#include <vdpau.h>`

## Data Fields
uint32_t | x0
uint32_t | y0
uint32_t | x1
uint32_t | y1

## Detailed Description

A rectangular region of a surface.

The co-ordinates are top-left inclusive, bottom-right exclusive.

The VDPAU co-ordinate system has its origin at the top-left of a surface, with x and y components increasing right and down.

## Field Documentation

## ◆ x0

uint32_t VdpRect::x0

Left X co-ordinate. Inclusive.

## ◆ x1

uint32_t VdpRect::x1

Right X co-ordinate. Exclusive.

## ◆ y0

uint32_t VdpRect::y0

Top Y co-ordinate. Inclusive.

## ◆ y1

uint32_t VdpRect::y1

Bottom Y co-ordinate. Exclusive.

The documentation for this struct was generated from the following file:

- vdpau/vdpau.h